Mailinglist Archive: opensuse-virtual (2 mails)

< Previous Next >
[opensuse-virtual] Virtualization/qemu builds for Leap15.1 appear to need conditional to exclude "_static/language_data.js"


Testing building of

Virtualization/qemu

for leap 15.1 in my OBS home: instance appears to FAIL, complaining about a
missing "_static/language_data.js"

It's simple enough to fix @,


https://build.opensuse.org/package/view_file/home:pgnd:Virtualization:qemu/qemu/qemu.spec?expand=0

just adding the leap15.1 condition,

1548 %endif
%_docdir/%name/interop/_static/jquery.js
- %if 0%{?sle_version} != 150000
+ %if 0%{?sle_version} != 150000 && 0%{?sle_version} !=
150100
%_docdir/%name/interop/_static/language_data.js
%endif

now builds OK


https://download.opensuse.org/repositories/home:/pgnd:/Virtualization:/qemu/openSUSE_Leap_15.1

I'm not exactly clear why this gets excluded just for SLE/Leap 15.0 & 15.1 ...
or why 'sle_version' makes sense here, and if/how the TW case should be dealt
with; perhaps

%if 0%{?suse_version} >= 1500

? So wanted to get that clear b4 calling it a bug ...
--
To unsubscribe, e-mail: opensuse-virtual+unsubscribe@xxxxxxxxxxxx
To contact the owner, e-mail: opensuse-virtual+owner@xxxxxxxxxxxx

< Previous Next >
List Navigation
This Thread
Follow Ups